Epic Perfect World

Can't patch the game

Offline Soulstealer

  • avatar
  • Member
  • Silence! I kill you!
Hallooo... I've done that copy-paste thing to make my PW client work for Epic..
Now it says Game version : 14 and it says: Current version is unable to update. Please log in official website.
Any suggestion?

Offline Agatio

  • Game Veteran
Which client did you use?
Click verify button on patcher, it should work as long as you used 1.5.1 client and did everything according to: http://epicpw.com/index.php?topic=6701.msg80882#msg80882 step by step

Offline Soulstealer

  • avatar
  • Member
  • Silence! I kill you!
I've done that.. I used Storm client which should be 1.5.1

bvanharjr

You can't use another private servers' files to connect to Epic, it MUST be an unmodified (retail) PWI 1.5.1 client or you will be unable to connect.

Offline Swane

  • Creator of Elven Archer
  • Characters: Almighty
  • Faction: Apollumi Master
You can't use another private servers' files to connect to Epic, it MUST be an unmodified (retail) PWI 1.5.1 client or you will be unable to connect.
Waw? I don't see that anywhere

Note: This guide works with PWI and all 1.5.1 (New Horizons) clients, private or official.
It's not recommended to do this with older Sirens of War clients.